# Uses of Class
org.apache.wiki.modules.WikiModuleInfo

Packages that use WikiModuleInfo
Package
Description
org.apache.wiki.filters
Provides page and content filtering functionality for JSPWiki.
org.apache.wiki.modules
org.apache.wiki.plugin
Provides plugins to the JSPWiki.
org.apache.wiki.ui
Java classes for management of the JSP user interface.
org.apache.wiki.ui.admin.beans

## Uses of WikiModuleInfo in org.apache.wiki.filters

Methods in org.apache.wiki.filters that return types with arguments of type WikiModuleInfo
Modifier and Type
Method
Description
`Collection<WikiModuleInfo>`
DefaultFilterManager.`modules()`
Returns a collection of modules currently managed by this ModuleManager.

## Uses of WikiModuleInfo in org.apache.wiki.modules

Methods in org.apache.wiki.modules with type parameters of type WikiModuleInfo
Modifier and Type
Method
Description
`protected <T extends WikiModuleInfo>
Collection<WikiModuleInfo>`
BaseModuleManager.`modules(Iterator<T> iterator)`
Methods in org.apache.wiki.modules that return WikiModuleInfo
Modifier and Type
Method
Description
`WikiModuleInfo`
ModuleManager.`getModuleInfo(String moduleName)`
Returns the `WikiModuleInfo` information about the provided moduleName.
Methods in org.apache.wiki.modules that return types with arguments of type WikiModuleInfo
Modifier and Type
Method
Description
`protected <T extends WikiModuleInfo>
Collection<WikiModuleInfo>`
BaseModuleManager.`modules(Iterator<T> iterator)`
`Collection<WikiModuleInfo>`
ModuleManager.`modules()`
Returns a collection of modules currently managed by this ModuleManager.
Methods in org.apache.wiki.modules with parameters of type WikiModuleInfo
Modifier and Type
Method
Description
`boolean`
BaseModuleManager.`checkCompatibility(WikiModuleInfo info)`
Returns true, if the given module is compatible with this version of JSPWiki.
`boolean`
ModuleManager.`checkCompatibility(WikiModuleInfo info)`
Returns true, if the given module is compatible with this version of JSPWiki.
`int`
WikiModuleInfo.`compareTo(WikiModuleInfo mod)`

## Uses of WikiModuleInfo in org.apache.wiki.plugin

Subclasses of WikiModuleInfo in org.apache.wiki.plugin
Modifier and Type
Class
Description
`static final class`
`DefaultPluginManager.WikiPluginInfo`
Contains information about a bunch of plugins.
Methods in org.apache.wiki.plugin that return types with arguments of type WikiModuleInfo
Modifier and Type
Method
Description
`Collection<WikiModuleInfo>`
DefaultPluginManager.`modules()`
Returns a collection of modules currently managed by this ModuleManager.

## Uses of WikiModuleInfo in org.apache.wiki.ui

Methods in org.apache.wiki.ui that return WikiModuleInfo
Modifier and Type
Method
Description
`WikiModuleInfo`
DefaultTemplateManager.`getModuleInfo(String moduleName)`
Returns the `WikiModuleInfo` information about the provided moduleName.
Methods in org.apache.wiki.ui that return types with arguments of type WikiModuleInfo
Modifier and Type
Method
Description
`Collection<WikiModuleInfo>`
DefaultEditorManager.`modules()`
Returns a collection of modules currently managed by this ModuleManager.
`Collection<WikiModuleInfo>`
DefaultTemplateManager.`modules()`
Returns a collection of modules currently managed by this ModuleManager.

## Uses of WikiModuleInfo in org.apache.wiki.ui.admin.beans

Methods in org.apache.wiki.ui.admin.beans that return types with arguments of type WikiModuleInfo
Modifier and Type
Method
Description
`protected Collection<WikiModuleInfo>`
FilterBean.`modules()`
Obtains the collection of modules which is going to be inspected at `ModuleBean.doGet(Context)`.
`protected abstract Collection<WikiModuleInfo>`
ModuleBean.`modules()`
Obtains the collection of modules which is going to be inspected at `ModuleBean.doGet(Context)`.
`protected Collection<WikiModuleInfo>`
PluginBean.`modules()`
Obtains the collection of modules which is going to be inspected at `ModuleBean.doGet(Context)`.
Methods in org.apache.wiki.ui.admin.beans with parameters of type WikiModuleInfo
Modifier and Type
Method
Description
`protected org.jdom2.Element`
FilterBean.`rowBody(WikiModuleInfo info)`
html blob describing`Element` describing attributes
`protected abstract org.jdom2.Element`
ModuleBean.`rowBody(WikiModuleInfo module)`
html blob describing`Element` describing attributes
`protected org.jdom2.Element`
PluginBean.`rowBody(WikiModuleInfo plugin)`
html blob describing`Element` describing attributes
`protected String`
ModuleBean.`validModuleVersion(WikiModuleInfo info)`